Index: trunk/ab5.0/ablib/src/GdiPlusFlat.ab
===================================================================
--- trunk/ab5.0/ablib/src/GdiPlusFlat.ab	(revision 698)
+++ trunk/ab5.0/ablib/src/GdiPlusFlat.ab	(revision 700)
@@ -67,5 +67,5 @@
 Declare Function GdipWindingModeOutline Lib "gdiplus.dll" (ByVal path As *GpPath, ByVal matrix As *GpMatrix, ByVal flatness As Single) As GpStatus
 Declare Function GdipWidenPath Lib "gdiplus.dll" (ByVal nativePath As *GpPath, ByVal pen As *GpPen, ByVal matrix As *GpMatrix, ByVal flatness As Single) As GpStatus
-Declare Function GdipWarpPath Lib "gdiplus.dll" (ByVal path As *GpPath, ByVal matrix As *GpMatrix, ByVal points As *GpPointF, ByVal count As Long, ByVal srcx As Single, ByVal srcy As Single, ByVal srcwidth As Single, ByVal srcheight As Single, ByVal warpMode As WarpMode, ByVal flatness As Single) As GpStatus
+Declare Function GdipWarpPath Lib "gdiplus.dll" (ByVal path As *GpPath, ByVal matrix As *GpMatrix, ByVal points As *GpPointF, ByVal count As Long, ByVal srcx As Single, ByVal srcy As Single, ByVal srcwidth As Single, ByVal srcheight As Single, ByVal warpMode As Long /*WarpMode*/, ByVal flatness As Single) As GpStatus
 Declare Function GdipTransformPath Lib "gdiplus.dll" (ByVal path As *GpPath, ByVal matrix As *GpMatrix) As GpStatus
 Declare Function GdipGetPathWorldBounds Lib "gdiplus.dll" (ByVal path As *GpPath, ByVal bounds As *GpRectF, ByVal matrix As *GpMatrix, ByVal pen As *GpPen) As GpStatus
@@ -185,6 +185,6 @@
 Declare Function GdipCreateLineBrush Lib "gdiplus.dll" (ByRef point1 As GpPointF, ByRef point2 As GpPointF, ByVal color1 As ARGB, ByVal color2 As ARGB, ByVal wrapMode As GpWrapMode, ByRef lineGradient As *GpLineGradient) As GpStatus
 Declare Function GdipCreateLineBrushI Lib "gdiplus.dll" (ByRef point1 As GpPoint, ByRef point2 As GpPoint, ByVal color1 As ARGB, ByVal color2 As ARGB, ByVal wrapMode As GpWrapMode, ByRef lineGradient As *GpLineGradient) As GpStatus
-Declare Function GdipCreateLineBrushFromRect Lib "gdiplus.dll" (ByRef rect As GpRectF, ByVal color1 As ARGB, ByVal color2 As ARGB, ByVal mode As LinearGradientMode, ByVal wrapMode As GpWrapMode, ByRef lineGradient As *GpLineGradient) As GpStatus
-Declare Function GdipCreateLineBrushFromRectI Lib "gdiplus.dll" (ByRef rect As GpRect, ByVal color1 As ARGB, ByVal color2 As ARGB, ByVal mode As LinearGradientMode, ByVal wrapMode As GpWrapMode, ByRef lineGradient As *GpLineGradient) As GpStatus
+Declare Function GdipCreateLineBrushFromRect Lib "gdiplus.dll" (ByRef rect As GpRectF, ByVal color1 As ARGB, ByVal color2 As ARGB, ByVal mode As Long /*LinearGradientMode*/, ByVal wrapMode As GpWrapMode, ByRef lineGradient As *GpLineGradient) As GpStatus
+Declare Function GdipCreateLineBrushFromRectI Lib "gdiplus.dll" (ByRef rect As GpRect, ByVal color1 As ARGB, ByVal color2 As ARGB, ByVal mode As Long /*LinearGradientMode*/, ByVal wrapMode As GpWrapMode, ByRef lineGradient As *GpLineGradient) As GpStatus
 Declare Function GdipCreateLineBrushFromRectWithAngle Lib "gdiplus.dll" (ByRef rect As GpRectF, ByVal color1 As ARGB, ByVal color2 As ARGB, ByVal angle As Single, ByVal isAngleScalable As BOOL, ByVal wrapMode As GpWrapMode, ByRef lineGradient As *GpLineGradient) As GpStatus
 Declare Function GdipCreateLineBrushFromRectWithAngleI Lib "gdiplus.dll" (ByRef rect As GpRect, ByVal color1 As ARGB, ByVal color2 As ARGB, ByVal angle As Single, ByVal isAngleScalable As BOOL, ByRef lineGradient As *GpLineGradient) As GpStatus
@@ -408,5 +408,5 @@
 Declare Function GdipSetImageAttributesOutputChannelColorProfile Lib "gdiplus.dll" (ByVal imageattr As *GpImageAttributes, ByVal colorAdjustType As Long /*ColorAdjustType*/, ByVal enableFlag As BOOL, ByVal colorProfileFilename As PCWSTR) As GpStatus
 Declare Function GdipSetImageAttributesRemapTable Lib "gdiplus.dll" (ByVal imageattr As *GpImageAttributes, ByVal colorAdjustType As Long /*ColorAdjustType*/, ByVal enableFlag As BOOL, ByVal mapSize As DWord, ByRef map As System.Drawing.Imaging.ColorMap) As GpStatus
-Declare Function GdipSetImageAttributesWrapMode Lib "gdiplus.dll" (ByVal imageAttr As *GpImageAttributes, ByVal wrap As WrapMode, ByVal argb As ARGB, ByVal clamp As BOOL) As GpStatus
+Declare Function GdipSetImageAttributesWrapMode Lib "gdiplus.dll" (ByVal imageAttr As *GpImageAttributes, ByVal wrap As Long /*WarpMode*/, ByVal argb As ARGB, ByVal clamp As BOOL) As GpStatus
 Declare Function GdipSetImageAttributesICMMode Lib "gdiplus.dll" (ByVal imageAttr As *GpImageAttributes, ByRef on As BOOL) As GpStatus
 Declare Function GdipGetImageAttributesAdjustedPalette Lib "gdiplus.dll" (ByVal imageAttr As *GpImageAttributes, ByRef colorPalette As System.Drawing.Imaging.ColorPalette, ByVal colorAdjustType As Long /*ColorAdjustType*/) As GpStatus
@@ -529,5 +529,5 @@
 Declare Function GdipEnumerateMetafileSrcRectDestPoints Lib "gdiplus.dll" (ByVal graphics As *GpGraphics, ByVal metafile As *GpMetafile, ByVal destPoints As *GpPointF, ByVal count As Long, ByRef srcRect As GpRectF, ByVal srcUnit As Long /*GraphicsUnit*/, ByVal callback As System.Drawing.Detail.NativeEnumerateMetafileProc, ByVal callbackData As VoidPtr, ByVal callbackData As VoidPtr) As GpStatus
 Declare Function GdipEnumerateMetafileSrcRectDestPointsI Lib "gdiplus.dll" (ByVal graphics As *GpGraphics, ByVal metafile As *GpMetafile, ByVal destPoints As *GpPoint, ByVal count As Long, ByRef srcRect As GpRect, ByVal srcUnit As Long /*GraphicsUnit*/, ByVal callback As System.Drawing.Detail.NativeEnumerateMetafileProc, ByVal callbackData As VoidPtr, ByVal callbackData As VoidPtr) As GpStatus
-Declare Function GdipPlayMetafileRecord Lib "gdiplus.dll" (ByVal metafile As *GpMetafile, ByVal recordType As EmfPlusRecordType, ByVal flags As DWord, dataSize As DWord, ByVal data As *Byte) As GpStatus
+Declare Function GdipPlayMetafileRecord Lib "gdiplus.dll" (ByVal metafile As *GpMetafile, ByVal recordType As Long /*EmfPlusRecordType*/, ByVal flags As DWord, dataSize As DWord, ByVal data As *Byte) As GpStatus
 Declare Function GdipSetClipGraphics Lib "gdiplus.dll" (ByVal graphics As *GpGraphics, ByVal srcgraphics As *GpGraphics, ByVal combineMode As Long /*CombineMode*/) As GpStatus
 Declare Function GdipSetClipRect Lib "gdiplus.dll" (ByVal graphics As *GpGraphics, ByVal x As Single, ByVal y As Single, ByVal width As Single, ByVal height As Single, ByVal combineMode As Long /*CombineMode*/) As GpStatus
@@ -568,10 +568,10 @@
 Declare Function GdipCreateMetafileFromWmfFile Lib "gdiplus.dll" (ByVal filename As PCWSTR, ByRef wmfPlaceableFileHeader As System.Drawing.Imaging.WmfPlaceableFileHeader, ByRef metafile As *GpMetafile) As GpStatus
 Declare Function GdipCreateMetafileFromStream Lib "gdiplus.dll" (ByVal stream As *IStream, ByRef metafile As *GpMetafile) As GpStatus
-Declare Function GdipRecordMetafile Lib "gdiplus.dll" (ByVal referenceHdc As HDC, ByVal emfType As EmfType, ByRef frameRect As GpRectF, ByVal frameUnit As Long /*MetafileFrameUnit*/, ByVal description As PCWSTR, ByRef metafile As *GpMetafile) As GpStatus
-Declare Function GdipRecordMetafileI Lib "gdiplus.dll" (ByVal referenceHdc As HDC, ByVal emfType As EmfType, ByRef frameRect As GpRectF, ByVal frameUnit As Long /*MetafileFrameUnit*/, ByVal description As PCWSTR, ByRef metafile As *GpMetafile) As GpStatus
-Declare Function GdipRecordMetafileFileName Lib "gdiplus.dll" (ByVal filename As PCWSTR, ByVal referenceHdc As HDC, ByVal emfType As EmfType, ByRef frameRect As GpRectF, ByVal frameUnit As Long /*MetafileFrameUnit*/, ByVal description As PCWSTR, ByRef metafile As *GpMetafile) As GpStatus
-Declare Function GdipRecordMetafileFileNameI Lib "gdiplus.dll" (ByVal filename As PCWSTR, ByVal referenceHdc As HDC, ByVal emfType As EmfType,ByRef frameRect As GpRectF, ByVal frameUnit As Long /*MetafileFrameUnit*/, ByVal description As PCWSTR, ByRef metafile As *GpMetafile) As GpStatus
-Declare Function GdipRecordMetafileStream Lib "gdiplus.dll" (ByVal stream As *IStream, ByVal referenceHdc As HDC, ByVal emfType As EmfType, ByRef frameRect As GpRectF, ByVal frameUnit As Long /*MetafileFrameUnit*/, ByVal description As PCWSTR, ByRef metafile As *GpMetafile) As GpStatus
-Declare Function GdipRecordMetafileStreamI Lib "gdiplus.dll" (ByVal stream As *IStream, ByVal referenceHdc As HDC, ByVal emfType As EmfType, ByRef frameRect As GpRectF, ByVal frameUnit As Long /*MetafileFrameUnit*/, ByVal description As PCWSTR, ByRef metafile As *GpMetafile) As GpStatus
+Declare Function GdipRecordMetafile Lib "gdiplus.dll" (ByVal referenceHdc As HDC, ByVal emfType As Long /*EmfType*/, ByRef frameRect As GpRectF, ByVal frameUnit As Long /*MetafileFrameUnit*/, ByVal description As PCWSTR, ByRef metafile As *GpMetafile) As GpStatus
+Declare Function GdipRecordMetafileI Lib "gdiplus.dll" (ByVal referenceHdc As HDC, ByVal emfType As Long /*EmfType*/, ByRef frameRect As GpRectF, ByVal frameUnit As Long /*MetafileFrameUnit*/, ByVal description As PCWSTR, ByRef metafile As *GpMetafile) As GpStatus
+Declare Function GdipRecordMetafileFileName Lib "gdiplus.dll" (ByVal filename As PCWSTR, ByVal referenceHdc As HDC, ByVal emfType As Long /*EmfType*/, ByRef frameRect As GpRectF, ByVal frameUnit As Long /*MetafileFrameUnit*/, ByVal description As PCWSTR, ByRef metafile As *GpMetafile) As GpStatus
+Declare Function GdipRecordMetafileFileNameI Lib "gdiplus.dll" (ByVal filename As PCWSTR, ByVal referenceHdc As HDC, ByVal emfType As Long /*EmfType*/, ByRef frameRect As GpRectF, ByVal frameUnit As Long /*MetafileFrameUnit*/, ByVal description As PCWSTR, ByRef metafile As *GpMetafile) As GpStatus
+Declare Function GdipRecordMetafileStream Lib "gdiplus.dll" (ByVal stream As *IStream, ByVal referenceHdc As HDC, ByVal emfType As Long /*EmfType*/, ByRef frameRect As GpRectF, ByVal frameUnit As Long /*MetafileFrameUnit*/, ByVal description As PCWSTR, ByRef metafile As *GpMetafile) As GpStatus
+Declare Function GdipRecordMetafileStreamI Lib "gdiplus.dll" (ByVal stream As *IStream, ByVal referenceHdc As HDC, ByVal emfType As Long /*EmfType*/, ByRef frameRect As GpRectF, ByVal frameUnit As Long /*MetafileFrameUnit*/, ByVal description As PCWSTR, ByRef metafile As *GpMetafile) As GpStatus
 Declare Function GdipSetMetafileDownLevelRasterizationLimit Lib "gdiplus.dll" (ByVal metafile As *GpMetafile, ByVal metafileRasterizationLimitDpi As DWord) As GpStatus
 Declare Function GdipGetMetafileDownLevelRasterizationLimit Lib "gdiplus.dll" (ByVal metafile As *GpMetafile, ByRef metafileRasterizationLimitDpi As DWord) As GpStatus
@@ -636,10 +636,10 @@
 Declare Function GdipSetStringFormatFlags Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByVal flags As Long) As GpStatus
 Declare Function GdipGetStringFormatFlags Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByRef flags As Long) As GpStatus
-Declare Function GdipSetStringFormatAlign Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByVal align As StringAlignment) As GpStatus
-Declare Function GdipGetStringFormatAlign Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByRef align As StringAlignment) As GpStatus
-Declare Function GdipSetStringFormatLineAlign Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByVal align As StringAlignment) As GpStatus
-Declare Function GdipGetStringFormatLineAlign Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByRef align As StringAlignment) As GpStatus
-Declare Function GdipSetStringFormatTrimming Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByVal trimming As StringTrimming) As GpStatus
-Declare Function GdipGetStringFormatTrimming Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByRef trimming As StringTrimming) As GpStatus
+Declare Function GdipSetStringFormatAlign Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByVal align As Long /*StringAlignment*/) As GpStatus
+Declare Function GdipGetStringFormatAlign Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByRef align As Long /*StringAlignment*/) As GpStatus
+Declare Function GdipSetStringFormatLineAlign Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByVal align As Long /*StringAlignment*/) As GpStatus
+Declare Function GdipGetStringFormatLineAlign Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByRef align As Long /*StringAlignment*/) As GpStatus
+Declare Function GdipSetStringFormatTrimming Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByVal trimming As Long /*StringTrimming*/) As GpStatus
+Declare Function GdipGetStringFormatTrimming Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByRef trimming As Long /*StringTrimming*/) As GpStatus
 Declare Function GdipSetStringFormatHotkeyPrefix Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByVal hotkeyPrefix As Long) As GpStatus
 Declare Function GdipGetStringFormatHotkeyPrefix Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByRef hotkeyPrefix As Long) As GpStatus
@@ -647,6 +647,6 @@
 Declare Function GdipGetStringFormatTabStops Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByVal count As Long, ByRef firstTabOffset As Single, ByVal tabStops As *Single) As GpStatus
 Declare Function GdipGetStringFormatTabStopCount Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByRef count As Long) As GpStatus
-Declare Function GdipSetStringFormatDigitSubstitution Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByVal language As LANGID, ByVal substitute As StringDigitSubstitute) As GpStatus
-Declare Function GdipGetStringFormatDigitSubstitution Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByRef language As LANGID, ByRef substitute As StringDigitSubstitute) As GpStatus
+Declare Function GdipSetStringFormatDigitSubstitution Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByVal language As LANGID, ByVal substitute As Long /*StringDigitSubstitute*/) As GpStatus
+Declare Function GdipGetStringFormatDigitSubstitution Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByRef language As LANGID, ByRef substitute As Long /*StringDigitSubstitute*/) As GpStatus
 Declare Function GdipGetStringFormatMeasurableCharacterRangeCount Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByRef count As Long) As GpStatus
 Declare Function GdipSetStringFormatMeasurableCharacterRanges Lib "gdiplus.dll" (ByVal format As *GpStringFormat, ByVal rangeCount As Long, ByVal ranges As *System.Drawing.CharacterRange) As GpStatus
